import type { App } from 'vue'
import piniaPluginPersistedstate from 'pinia-plugin-persistedstate'

const pinia = createPinia()
export const setupPinia = (app: App<Element>) => {
  app.use(pinia)
}
pinia.use(piniaPluginPersistedstate)
export * from './modules/auth'
export * from './modules/user'
export * from './modules/setting'
export { pinia }
